import java.rmi.server.*;
import java.sql.*;
import java.rmi.*;
public class ReciveImp extends UnicastRemoteObject implements Recive
{
	Connection c;
	Statement s;
	ResultSet rs;
	public ReciveImp()throws RemoteException
	{

	}
	public void openConnection(String dsn)
	{
		try
		{
			Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
			c=DriverManager.getConnection(dsn);
			s=c.createStatement();
		}
		catch(Exception e)
		{
			System.out.println(e);
		}
	}
	public void insert(String query)
	{
		try
		{
			s.executeUpdate(query);
			System.out.println("Successfully inserted");		
		}
		catch(Exception e)
		{
			System.out.println(e);
		}
	}
	public ServiceBean[] retriveService(String qry)throws RemoteException
	{
		ServiceBean mr[]=new ServiceBean[1000];
		try
		{
			rs=s.executeQuery(qry);

		int i=0;
		while(rs.next())
		{
			mr[i]=new ServiceBean();
			mr[i].setBranchName(rs.getString(1));
			mr[i].setDate(rs.getString(2));
			mr[i].setAddress(rs.getString(3));
			mr[i].setTime(rs.getString(4));
			mr[i].setProblem(rs.getString(5));
			i++;
		}
			mr[i]=new ServiceBean();
			mr[i].setBranchName("exit");
		
		}
		catch(Exception e)
		{
			System.out.println(e);
		}
		return mr;
	}
	public TrainingBean[] retriveTrain(String query)throws RemoteException
	{
		
		TrainingBean mr[]=new TrainingBean[1000];
		try
		{
			rs=s.executeQuery(query);

		int i=0;
		while(rs.next())
		{
			mr[i]=new TrainingBean();
			mr[i].setStudentName(rs.getString(1));
			mr[i].setCourseName(rs.getString(2));
			mr[i].setCollegeName(rs.getString(3));
			mr[i].setAddress(rs.getString(4));
			mr[i].setBranchName(rs.getString(5));
			i++;
		}
			mr[i]=new TrainingBean();
			mr[i].setBranchName("exit");
		
		}
		catch(Exception e)
		{
			System.out.println(e);
		}
		return mr;
	}
	
	public void closeConnection()throws RemoteException
	{
		try
		{
			c.close();
		}
		catch(Exception e)
		{
			System.out.println(e);
		}
	}
}