import java.rmi.server.*;
import java.sql.*;
import java.rmi.*;
public class MarktingData extends UnicastRemoteObject implements Markting
{
	Connection c;
	Statement s;
	ResultSet rs;
	public MarktingData()throws RemoteException
	{
		super();
	}
	public void openConnection(String dsn)throws RemoteException
	{
		try
		{
			Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
			c=DriverManager.getConnection(dsn);
			s=c.createStatement();
		}
		catch(Exception e)
		{
			System.out.println(e);
		}
	}
	public void insert(String query)
	{
		try
		{
			s.executeUpdate(query);
			System.out.println("Successfully inserted");		
		}
		catch(Exception e)
		{
			System.out.println(e);
		}
	}
	public void closeConnection()throws RemoteException
	{
		try
		{
	
			c.close();	
		}
		catch(Exception e)
		{
			System.out.println(e);
		}
	}
public EmpBean[] retriveEmp(String query)throws RemoteException
	{
		EmpBean mr[]=new EmpBean[1000];
		try
		{
			rs=s.executeQuery(query);

		int i=0;
		while(rs.next())
		{
			mr[i]=new EmpBean();
			mr[i].setName(rs.getString(1));
			mr[i].setFatherName(rs.getString(2));
			mr[i].setSex(rs.getString(3));
			mr[i].setEmail(rs.getString(4));
			mr[i].setQualification(rs.getString(5));
			mr[i].setDesigination(rs.getString(6));
			mr[i].setAddress(rs.getString(7));
			mr[i].setBranchName(rs.getString(8));
			i++;
		}
			mr[i]=new EmpBean();
			mr[i].setBranchName("exit");
		
		}
		catch(Exception e)
		{
			System.out.println(e);
		}
		return mr;
	}
	public SalesBean[] retrive(String query)throws RemoteException
	{
		SalesBean mr[]=new SalesBean[1000];
		try
		{
			rs=s.executeQuery(query);

		int i=0;
		while(rs.next())
		{
			mr[i]=new SalesBean();
			mr[i].setProductCode(rs.getString(1));
			mr[i].setProductName(rs.getString(2));
			mr[i].setQty(rs.getInt(3));
			mr[i].setUnitPrice(rs.getInt(4));
			mr[i].setNet(rs.getInt(5));
			mr[i].setCustomerName(rs.getString(6));
			mr[i].setBranchName(rs.getString(7));
			i++;
		}
			mr[i]=new SalesBean();
			mr[i].setProductName("exit");
		}
		catch(Exception e)
		{
			System.out.println(e);
		}
		return mr;

	}
	
}